Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class CategoryInfo

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.category.CategoryInfo

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CategoryInfo

extends Object

Internal implementation class. I

Constructor Summary
`CategoryInfo(Category category, CategoryKey[] subCategoryKeys, CategoryKey[] ancestorKeys, CategoryKey[] siblingKeys, ProductItemKey[] itemKeys, CategoryKey parentKey)` Deprecated See BEA Commerce product offering

Method Summary
`CategoryKey[]` | `getAncestorKeys()` Deprecated See BEA Commerce product offering
`Category` | `getCategory()` Deprecated See BEA Commerce product offering
`ProductItemKey[]` | `getItemKeys()` Deprecated See BEA Commerce product offering
`CategoryKey` | `getParentKey()` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSiblingKeys()` Deprecated See BEA Commerce product offering
`CategoryKey[]` | `getSubCategoryKeys()` Deprecated See BEA Commerce product offering
`void` | `setItemKeys(ProductItemKey[] newKeys)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryInfo

    public CategoryInfo(Category category,
                        CategoryKey[] subCategoryKeys,
                        CategoryKey[] ancestorKeys,
                        CategoryKey[] siblingKeys,
                        ProductItemKey[] itemKeys,
                        CategoryKey parentKey)

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

Method Detail

### getCategory

    public Category getCategory()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

### getItemKeys

    public ProductItemKey[] getItemKeys()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

### setItemKeys

    public void setItemKeys(ProductItemKey[] newKeys)

  Deprecated See BEA Commerce product offering

  Setter to enable itemKeys list to be built only when they are needed, which may occur after the CategoryInfo object has been constructed. see CR097190

### getSiblingKeys

    public CategoryKey[] getSiblingKeys()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

### getParentKey

    public CategoryKey getParentKey()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

### getSubCategoryKeys

    public CategoryKey[] getSubCategoryKeys()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

### getAncestorKeys

    public CategoryKey[] getAncestorKeys()

  Deprecated See BEA Commerce product offering

  Internal implementation class. I

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved